Ruby: Data Fields

Ruby 3.0.5p211 (2022-11-24 revision ba5cf0f7c52d4d35cc6a173c89eda98ceffa2dcf)

Here is a list of all struct and union fields with links to the structures/unions they belong to:

### - p -

- p : _BBuf, BigStruct, re_pattern_buffer, tr
- page : heap_page_header
- page_node : heap_page
- page_size : malloc_params
- pages : rb_heap_struct
- pairid : exec_recursive_params
- pairs : ar_table_struct
- par : OnigErrorInfo
- par_end : OnigErrorInfo
- param : rb_iseq_constant_body
- paren : rb_strterm_literal_struct
- paren_nest : parser_params
- parent : malloc_tree_chunk, rb_data_type_struct, verify_internal_consistency_struct
- parent_iseq : parser_params, rb_iseq_constant_body
- parent_object : rb_objspace
- parent_subclasses : rb_classext_struct
- parse_depth : ScanEnv
- parser : cparse_params, load_file_arg, reg_named_capture_assign_t
- parsing_name : JSON_ParserStruct
- partial_dump : dump_config
- partial_objects : load_arg
- passed_block_handler : rb_execution_context_struct
- past : gz_state
- pat : sliceafter_arg
- path : access_arg, allocation_info, apply_filename, dir_data, glob_args, glob_error_args, gz_state, log, mkdir_arg, no_gvl_stat_data, opendir_at_arg, push_glob_args, rb_trace_arg_struct
- path_env : rb_execarg
- PathBuffer : rb_w32_reparse_buffer_t
- pathobj : rb_binding_t, rb_iseq_location_struct
- pathtype : push_glob_args
- pathv : rb_io_t
- pattern : ScanEnv
- pattern_enc : OnigCompileInfo
- pattern_end : ScanEnv
- pbeg : parser_params
- pc : ComplexDateData, rb_backtrace_location_struct, rb_control_frame_struct, SimpleDateData
- pc2branchindex : rb_iseq_constant_body
- pcl : fiddle_closure
- pcode : _OnigStackType
- pConnectionPoint : oleeventdata
- pcrc_32_tab : curfile64_info
- pcur : parser_params
- pdata : olerecorddata
- pDispatch : oledata, oleeventdata
- peephole_optimization : rb_compile_option_struct
- pend : parser_params, tr
- pending : internal_state
- pending_buf : internal_state
- pending_buf_size : internal_state
- pending_interrupt_mask_stack : rb_thread_struct
- pending_interrupt_queue : rb_thread_struct
- pending_interrupt_queue_checked : rb_thread_struct
- pending_out : internal_state
- perm : open_struct, sysopen_struct
- pfamily : rb_addrinfo_t
- pfile_in_zip_read : unz64_s
- pgroup_given : rb_execarg
- pgroup_pgid : rb_execarg
- pid : rb_io_t, rb_process_status, waitpid_state
- pinned_bits : heap_page
- pinned_slots : heap_page
- pipech : ioinfo
- pkeep : _OnigStackType
- pktbl : parser_params
- place_holder : union_sockaddr
- pNamedArgs : oleparam
- pointer : fiddle_generic
- pool : fiber_pool_allocation, fiber_pool_stack
- pos : cdhash_set_label_struct, enum_chain, gzFile_s, iseq_compile_data_storage, StringIO, vtable
- pos_in_buffered_data : curfile64_info
- pos_in_central_dir : unz64_s
- pos_in_zip_directory : unz64_file_pos_s, unz_file_pos_s
- pos_in_zipfile : file_in_zip64_read_info_s
- pos_local_extrafield : file_in_zip64_read_info_s
- pos_local_header : curfile64_info
- pos_zip64extrainfo : curfile64_info
- position : iseq_label_data
- positions : rb_iseq_constant_body::iseq_insn_info
- possessive : OnigToken
- post_args : rb_ary_pattern_info
- post_args_num : rb_args_info
- post_init : rb_args_info
- post_num : rb_iseq_constant_body
- post_rest_arg : rb_fnd_pattern_info
- post_start : rb_iseq_constant_body
- postponed_job_buffer : rb_vm_struct
- postponed_job_index : rb_vm_struct
- pOwnerTypeInfo : olemethoddata
- pp : BigStruct
- pre_args : rb_ary_pattern_info
- pre_args_num : rb_args_info
- pre_init : rb_args_info
- pre_rest_arg : rb_fnd_pattern_info
- Prec : Real
- precise_mbc_enc_len : OnigEncodingTypeST
- pred : sliceafter_arg, slicewhen_arg
- prefix : tar_header
- prev : internal_state, iseq_compile_data_ensure_node_stack, iseq_link_element, local_vars, mjit_cont, rb_fiber_struct, rb_thread_cond_struct, rb_vm_protect_tag, rb_vm_tag, strscanner, vtable
- prev_cfp : bt_iter_arg
- prev_elt : slicewhen_arg
- prev_elts : chunk_arg, sliceafter_arg, slicebefore_arg, slicewhen_arg
- prev_foot : malloc_chunk, malloc_tree_chunk
- prev_length : internal_state
- prev_loc : bt_iter_arg, rb_backtrace_location_struct
- prev_match : internal_state
- prev_status : rb_blocking_region_buffer
- prev_traceobj_arg : traceobj_arg
- prev_value : chunk_arg
- preverify_ok : ossl_verify_cb_args
- prevline : parser_params
- pri : olerecorddata
- PrintNameLength : rb_w32_reparse_buffer_t
- PrintNameOffset : rb_w32_reparse_buffer_t
- priority : rb_thread_struct
- private : rb_memory_view_t
- private_const_reference : rb_execution_context_struct
- proc : generator, lazyenum_funcs, load_arg, ossl_verify_cb_args, proc_entry, producer, rb_block, rb_method_bmethod_struct, rb_thread_struct, rb_tp_struct, thread_create_params, yielder
- procs : enumerator
- profile : rb_objspace
- progname : rb_vm_struct
- prop : OnigToken
- property_name_to_ctype : OnigEncodingTypeST
- protect_tag : rb_execution_context_struct
- protocol : rb_addrinfo_t
- pstr : _OnigStackType
- pstr_prev : _OnigStackType
- ptail : IApplyCaseFoldArg
- ptok : parser_params
- ptr : apply_filename, big2str_struct, binwrite_arg, cont_saved_vm_stack, dl_handle, FBufferStruct, nkf_buf_t, parser_params, pinned_data, ptr_data, RArray, rb_imemo_tmpbuf_struct, rb_transcoding, rb_transcoding::rb_transcoding_state_t, RClass, RRegexp, RString, RStruct, spawn_args, string_part
- pTypeInfo : olemethoddata, oleparamdata, oletypedata, olevariabledata, tagIEVENTSINKOBJ
- pTypeLib : oletypelibdata
- pub : rb_ractor_struct
- pvtbl : parser_params